org.apache.felix.ipojo.manipulator.metadata.annotation.visitor.bind

## Class AbstractBindVisitor

- java.lang.Object
- - org.objectweb.asm.AnnotationVisitor
  - - org.apache.felix.ipojo.manipulator.metadata.annotation.visitor.bind.AbstractBindVisitor

Direct Known Subclasses:
  MethodBindVisitor, ParameterBindVisitor

    public abstract class AbstractBindVisitor
    extends org.objectweb.asm.AnnotationVisitor

Author:
  Felix Project Team

### Field Summary

Fields
`protected Action` `action`
`protected String` `m_aggregate` Is the requirement aggregate?
`protected String` `m_comparator` Comparator.
`protected String` `m_filter` Requirement filter.
`protected String` `m_from` From attribute.
`protected String` `m_id` Requirement id.
`protected String` `m_optional` Is the requirement optional?
`protected String` `m_policy` Binding policy.
`protected String` `m_proxy` proxy attribute.
`protected String` `m_specification` Required specification.
`protected ComponentWorkbench` `workbench`

### Fields inherited from class org.objectweb.asm.AnnotationVisitor

`api, av`

### Constructor Summary

Constructors
Constructor and Description
`AbstractBindVisitor(ComponentWorkbench workbench, Action action)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected boolean` `completeExistingRequires(org.apache.felix.ipojo.metadata.Element requires)`
`protected org.apache.felix.ipojo.metadata.Element` `createRequiresElement()`
`protected org.apache.felix.ipojo.metadata.Element` `getRequiresElement()`
`void` `visit(String name, Object value)` Visit annotation's attributes.
`void` `visitEnd()`
`void` `visitEnum(String name, String desc, String value)`

### Methods inherited from class org.objectweb.asm.AnnotationVisitor

`getDelegate, visitAnnotation, visitArray`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### workbench

    protected ComponentWorkbench workbench

#### action

    protected Action action

#### m_filter

    protected String m_filter

Requirement filter.

#### m_optional

    protected String m_optional

Is the requirement optional?

#### m_aggregate

    protected String m_aggregate

Is the requirement aggregate?

#### m_specification

    protected String m_specification

Required specification.

#### m_id

    protected String m_id

Requirement id.

#### m_policy

    protected String m_policy

Binding policy.

#### m_comparator

    protected String m_comparator

Comparator.

#### m_from

    protected String m_from

From attribute.

#### m_proxy

    protected String m_proxy

proxy attribute.

### Constructor Detail

#### AbstractBindVisitor

    public AbstractBindVisitor(ComponentWorkbench workbench,
                               Action action)

### Method Detail

#### visit

    public void visit(String name,
                      Object value)

Visit annotation's attributes.

Overrides:
  `visit` in class `org.objectweb.asm.AnnotationVisitor`
Parameters:
  `name` - : annotation name
  `value` - : annotation value
See Also:
  `AnnotationVisitor.visit(String, Object)`

#### visitEnum

    public void visitEnum(String name,
                          String desc,
                          String value)

Overrides:
  `visitEnum` in class `org.objectweb.asm.AnnotationVisitor`

#### visitEnd

    public void visitEnd()

Overrides:
  `visitEnd` in class `org.objectweb.asm.AnnotationVisitor`

#### getRequiresElement

    protected org.apache.felix.ipojo.metadata.Element getRequiresElement()

#### completeExistingRequires

    protected boolean completeExistingRequires(org.apache.felix.ipojo.metadata.Element requires)

#### createRequiresElement

    protected org.apache.felix.ipojo.metadata.Element createRequiresElement()